daemon off;
pid /var/run/nginx.pid;

user www-data;
error_log stderr notice;

worker_processes auto;
events {
  multi_accept on;
  use epoll;
  worker_connections 1024;
}

http {
  # Somehow it's not inherited by vhosts (server{} context) when using with 'stderr' value.
  # Therefore it's re-defined here to avoid specyfing it for each vhost.
  error_log stderr notice;

  server {
    server_name   ~^(www\.)(?<domain>.+)$;
    expires       max;
    return        301 http://$domain$request_uri;
  }

  server {
    listen      80 default_server;
    root        /data/www/Web;
    index       index.php index.html;

    set         $context Production;
    if ($host ~ \bdev\.)    { set $context Development; }

    include     /etc/nginx/conf.d/*.conf;

    include     /data/www/server/nginx/conf.d/*.conf;
  }

  # Root definitions
  include     /etc/nginx/nginx.d/*.conf;
  include     /data/www/server/nginx/hosts.d/*.conf;

}